jEdit Community - Resources for users of the jEdit Text Editor
Installation help
Submitted by Brad Mace on Monday, 26 January, 2004 - 15:26
TextAutocomplete
Submitted by CJreige on Saturday, 11 March, 2017 - 14:44
Has anybody had any luck installing the TextAutocomplete plug-in lately? I cannot get the Plug-in Manager to download it (it gives a download error). When I download it manually and try to install it, it doesn't really work within jEdit. I just wanted to see if anybody has had any luck with this plug-in.

Thank you,
CJ
Retina display problem with Mac OS X package
Submitted by Gregory on Sunday, 22 February, 2015 - 19:18
I have a problem with getting fonts to display smoothly on the Retina screen on my Macbook Pro. When I install jEdit (currently 5.2.0) using the Mac OS package, the installation goes fine, but when I then launch the application by clicking on jEdit.app (or, within the package on Contents/MacOS/jedit), the fonts are rendered with terrible anti-aliasing problems. These are unaffected by changes to the relevant Global Options.

However, when I launch the application by clicking on the jedit.jar, found inside the package at Contents/Java/jedit.jar), font resolution is perfect. But of course, launching the application this way loses the benefits of having jEdit packaged like a native Mac app. I don't understand why these two methods give different results where resolution is concerned.

I'm not sure how the Mac package is compiled, so I can't fix this myself. Any suggestions of what I can do or who I might contact?

Thanks,
Gregory
jEdit on Window Server 2012
Submitted by dirkniemeier on Tuesday, 26 August, 2014 - 08:21
Hi,
I try to install jEdit 4.1.0 on Windows Server 2012R2 but I get the message "This application requires a Java Runtime Environment 1.6.0".

I have an installed Java Server Runtime:

java -version
java version "1.8.0_20"
Java(TM) SE Runtime Environment (build 1.8.0_20-b26)
Java HotSpot(TM) 64-Bit Server VM (build 25.20-b23, mixed mode)

JAVA_HOME is setted. The JAVA_HOME\bin is in path.

Anything else to do?
TIA
Dirk
"jEdit" is broken error on mac os x 10.8.5
Submitted by k.kelln on Monday, 21 October, 2013 - 14:22
I am now getting a "jEdit" is broken, move to trash error message when attempting to run jEdit on my iMac running OS X 10.8.5. It ran previously. I downloaded the latest version and tried running that with the same result. Any ideas? Could my Java version/install be broken and that's causing this result?
Upgrading jEdit from 4.5.1 (WinXP) to 5.0 (Windows 7 Home 64-bit)
Submitted by hurricanedavid on Sunday, 7 April, 2013 - 05:24
I have a lot of plugins and configurations in my old version (4.5.1) of jEdit, like many of you, I'm sure.

Can I copy my settings directory to my new computer (Windows 7 Home 64-bit) and will the new version of jEdit (5.0) work with it? Will there be glitches down the road? Should I just manually move over all my settings?

I know how to specify the profile directory in the command line, so that's not what I'm asking. I'm just wondering if 5.0 stores its settings differently, so that pointing 5.0 to a 4.5.1 settings folder would be bad.

Thanks for any help, and for this truly awesome program!
portable jEdit all in one?
Submitted by timou on Thursday, 21 March, 2013 - 15:02
Hi All...

I'm using jEdit since a long time and it's a perfect text editor..; EXCEPT :
It's painfull to install and upgrade!

I was trying to find a jEdit for python (and Maya MEL) with
def/method/proc listing (ctags)
maya communication

Difficult and time consuming!

Why there is no a all in one package of jEdit with all of this features?
Or can you tell me wich release of jEdit/plugs are you using togoether? (jEdit 5 doesnt work well with the ctags plug for me)

Thanks....
Suppress %USERPROFILE% in visible path?
Submitted by gthorburn on Monday, 25 February, 2013 - 12:53
I've just upgraded to jEdit 5.0 in Win 7 Home, using the Windows installer.
I was pleased that it picked up all my customizations from 4.3, but whereever
a path is displayed, 5.0 it shows the env var %USERPROFILE% rather than the
actual path, which would be more helpful to me.

Can I get jEdit to show the actual path, eg, "C:\Users\me..." ?

Thanks,

-- Gary
jedit jar instaon open suse 12.2
Submitted by ashishyadav26 on Tuesday, 25 September, 2012 - 03:08
Hi,

I had jedit 4.5 on open suse which was throwing error on open jdk 7 as " you are using jre 1.5.0 and jedit requires 1.6.0" I install and configure oracle jdk 1.6 and it was working. I uninstall it and jedit 5 from universal jar installer now again the error is coming. No changes has been done java is still oracle one checked with java -version.

How do I resolve the issue?
jedit and netrexxJe - no longer supported?
Submitted by kklein on Thursday, 30 August, 2012 - 19:29
I can't get netrexxJe to work anymore after upgrading to the latest jedit 4.5.2. I also can't use the plugin manager to get plugins, but that could be a proxy issue on this network.
How to apply a plugin patch
Submitted by nils3142 on Thursday, 9 August, 2012 - 18:34
I posted this question earlier today, but for some reason it was deleted.
I try again:

I have downloaded the patch BufferList-collapse-on-save-fix.patch for the BufferList plugin. How do I apply this patch to the plugin? I use jEdit on a computer with Windows 7.
jediut.exe over jedit java
Submitted by DocDJ on Wednesday, 18 July, 2012 - 13:32
I installed the java version of jedit some time ago and had a lot of files in the history list. I recently installed java.exe (Windows) and now, neither of these programs can find my history list. How can I recover it (and I think I would prefer to be able to use it in the java.exe version, to become independent of changes to the java installation.
jEdit, Mac, Java 1.7+
Submitted by alopecoid on Monday, 30 April, 2012 - 15:10
Hi,

Java 1.7 has been officially released by Oracle for OS X 64-Bit:
http://download.oracle.com/otn-pub/java/jdk/7u4-b21/jdk-7u4-macosx-x64.dmg

I have been attempting to get jEdit (4.5.1) running with this JVM without any success. When I modify JVMVersion from 1.6+ to 1.7+ in /Applications/jEdit.app/Contents/Info.plist, I get an error "No compatible version of Java 1.7+ is available.". I have also tried setting this to the exact version number.


You will see here that I have Java 1.7 installed correctly:

/usr/libexec/java_home --verbose

Matching Java Virtual Machines (5):
1.7.0_04, x86_64: "Java SE 7" /Library/Java/JavaVirtualMachines/1.7.0.jdk/Contents/Home
1.6.0_31-b04-413, x86_64: "Java SE 6" /Library/Java/JavaVirtualMachines/1.6.0_31-b04-413.jdk/Contents/Home
1.6.0_31-b04-413, i386: "Java SE 6" /Library/Java/JavaVirtualMachines/1.6.0_31-b04-413.jdk/Contents/Home
1.6.0_31-b04-413, x86_64: "Java SE 6" /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
1.6.0_31-b04-413, i386: "Java SE 6" /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home

/Library/Java/JavaVirtualMachines/1.7.0.jdk/Contents/Home


And:

echo ${JAVA_HOME}

/Library/Java/JavaVirtualMachines/1.7.0.jdk/Contents/Home


Also, Java 1.7 is even set as the default:

java -version

java version "1.7.0_04"
Java(TM) SE Runtime Environment (build 1.7.0_04-b21)
Java HotSpot(TM) 64-Bit Server VM (build 23.0-b21, mixed mode)


I have been running jEdit on Linux (Ubuntu) and Java 1.7 for quite some time without any major issues.


Any ideas?

Thank you.
JEdit Autodesk Maya Integration
Submitted by filmico on Friday, 20 April, 2012 - 14:33
Hello Guys,

My Name is Gerardo Sebastian Verrone; I am a TD specialized in rigging.

I have recorder and uploaded to youtube 10 videos Tutorials covering how you can install and configure JEdit to integrate it as an external code editor to work with Autodesk Maya.

This tutorials are up to date to be usefull for Maya 2011/2012/2013 or until Adesk change things drastically.

Trust me, you are not going to find videos out there explaining all this steps.

The tutorials are located here: http://www.youtube.com/playlist?list=PL592CA6ACA94D8101

I'd like to thanks to the developer and maintainers of JEdit as it is a great application with many posibilities to expand it.

Cheers.

Gerardo Verrone
jEdit won't start after switching from openjdk to sun java
Submitted by sikkiiac on Wednesday, 26 October, 2011 - 18:28
I've switched from openjdk 6 to sun java 6 and now my jEdit won't start.

I'm running Ubuntu 11.10. I reset my JAVA_HOME variable in my .profile file.

I get the same error message when trying to launch jEdit from the terminal by either typing "jedit" or "java -jar jedit.jar" from the installation directory. It says

Exception in thread "main" java.lang.UnsatisfiedLinkError: /usr/lib/jvm/jdk1.6.0_29/jre/lib/i386/xawt/libmawt.so: libXtst.so.6: wrong ELF class: ELFCLASS64
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1807)
...

Reinstalling jEdit didn't work. Any ideas?
optimizing for osx/mac
Submitted by starpause on Monday, 6 June, 2011 - 01:04
hi all, love jEdit and i've tried all the editors =)

but i'm wondering if there's some performance optimizations i may be missing for osx. mostly, i want to run jEdit on the background so it opens any text file instantly (even after i've quit). i also want to be sure i'm running jEdit with the most recent version of java on my machine and with enough ram. any other ideas for getting optimal performance on a macintosh?

if it matters i'm running osx 10.6.7 and jedit 4.4pre1.

thanks!
jordan
Linux/Fedora installation
Submitted by tosca on Saturday, 12 March, 2011 - 19:48
I'm working on a Linux/Fedora machine.
I'd like to install jEdit in order to use it with the LilyPondTool plugin.
I have downloaded the jEdit installer, but have no idea what to do next.

Thanks for helping.
jEdit stuck loading "init macros" on Windows 7
Submitted by msaz87 on Tuesday, 1 March, 2011 - 21:39
Hey All,

I recently had my work laptop upgraded to 64 bit Windows 7 and now I am unable to get jEdit working again. I installed the Java environment, but installing jEdit with the Windows and Java installers both succeed until I launch the program, where it gets stuck on "init macros"

Another odd thing is I can switch users and log in as the computer admin and install it and it will open while I'm logged in there... but when I switch users back and try to open jEdit, it still fails.

Any ideas? Thanks!
EclipseIcons download broken
Submitted by weberjn on Wednesday, 16 February, 2011 - 11:57
Hi,

when I try to download

http://plugins.jedit.org/plugins/?EclipseIcons

winrar complains that the archive ist broken:

! C:\Programme\Java\temp\EclipseIcons-1.0-6.zip: Unerwartetes Archivende

(unexpected end of archive)

XML plugin depends on this.
Access Denied Installing/Upgrading/Removing
Submitted by davidrickard on Tuesday, 4 January, 2011 - 13:12
I've been using jEdit for many years now with no problem but just went to upgrade 4.3.1 to 4.3.2 using the windows binary and get the error "Unable to create a temporary file. Setup Aborted" form the installer. I have tried uninstalling and re-installing 4.3.1 but get the same message from all of these.

I am sure this is something weird with my machine, but can anyone tell me what directories/files it is likely to be trying to use when it generates this?

During the upgrade it comes up immediately after asking what language and on uninstall it pops up immediately.

Thanks in advance
User login
Browse archives
« March 2017  
MoTuWeThFrSaSu
 
1
2
3
4
5
6
7
8
9
10
12
13
14
15
16
17
19
20
22
23
24
25
26
27
28
29
30
31
 
Poll
Are you interested in language packs for jEdit?
Yes, and I could help maintain translations
26%
Yes, I'd like to have translations
33%
Indifferent
35%
No, that'd be bad (please comment)
7%
Total votes: 1092
Syndication
file   ver   dls
German Localization light   4.4.2.1   50012
Context Free Art (*.cfdg)   0.31   40156
JBuilder scheme   .001   16445
ColdFusion scheme   1.0   16003
BBEdit scheme   1.0   16002
R Edit Mode - extensive version   0.1   14150
Advanced HTML edit mode   1.0   13519
Matlab Edit Mode   1.0   13392
jEdit XP icons   1.0   12860
XP icons for jEdit   1.1   11907